Subject: bug#39360: Add :extend attribute to show-paren-mode expression face

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 20 Sep 2020 12:01:12 +0200

Clément Pit-Claudel <[email-masked]> writes:

> I've attached a patch to add :extend the show-paren-mode face applied
> to expressions.  Is that the right way to return to the previous
> behavior?

[...]

>  (defface show-paren-match-expression
> -  '((t :inherit show-paren-match))
> +  '((t :inherit show-paren-match :extend t))

After playing with this a bit, I think the current behaviour looks
slightly more logical -- it'd be even better if show-paren-mode didn't
highlight the blank space at the start of the line, either, but
highlighting to the end of the line looks pretty overwhelming.

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no